Page MenuHomePhabricator

Move most (all?) exim personal aliases to WMF ITS
Open, Stalled, MediumPublic500 Estimated Story Points

Description

For historical reasons, production has quite a few exim aliases that map user-preferred aliases to staff Google accounts (random example: luis: lvilla).

These are a pain to maintain, especially since this crosses administrative domains (those aliases are controlled by ops, but the right-hand side Google accounts are controlled by OIT).
Corp LDAP already has a field that is been used for email aliases (initials) and is used for most accounts nowadays (like e.g. mine).

We've previously agreed with OIT (@JKrauska in particular) to move the remaining exim aliases of ours to LDAP but this hasn't happened yet. I'm filing this to reboot this work and track it so we don't forget again. @Dzahn, is this perhaps something you could help with?

Related Objects

StatusSubtypeAssignedTask
StalledDzahn
Resolved JKrauska
ResolvedDzahn
ResolvedDzahn
Resolved JKrauska
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JKrauska
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedArielGlenn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedNone
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolvedhashar
ResolvedDzahn
ResolvedDzahn
OpenMBeat33

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

for now, all subtasks are resolved. i would consider it a "resolved phase 1" and a really nice step, but there is more to do. most subtasks were from Joel but he is no longer here now. creating some more tasks for phase 2 now.

Dzahn removed Dzahn as the assignee of this task.Feb 19 2016, 9:28 PM

T101939 for recommender-feedback@

all subtasks are resolved now. yay!

all remaining things are either "ops" internal or technical (like techcom@ , packagist-admin@, analytics-alerts@ ) (maybe one remaining question on T100860?)

or they are individual aliases (out of scope of this ticket)

closing as resolved

Dzahn claimed this task.

or they are individual aliases (out of scope of this ticket)

Individual/personal aliases were actually the original scope of this task -- what am I missing?

(I also see still a bunch of role aliases, but things seem considerably better since I last looked, that's awesome :)

I have sent email to 26 different people, former board members, former staff etc, asking them if they still use their aliases and are aware of them and at the same time checking if the recipient addresses are bouncing. Things that are not used anymore don't have to move to OIT.

I have removed a bunch of aliases where people responded they were not aware of having them or that they don't need them anymore.

After that initial cleanup i opened a couple OIT tickets to move some more low-hanging fruit over (legal aliases, duplicate alias of existing employee etc).

After that i started to ask about the remaining personal aliases for former board members and affiliates that are being sent to external addresses.

I got this response so far:

1) We are not currently able to set up external email aliases for internal addresses (ie a gmail alias for a wiki user, Google does not allow for this)
2) Email forwarding is restricted for 'out of domain' accounts. I'm not sure if there have been exceptions in the past, or for people like board members, but that is something I will have to reach out to Eliza about when she returns next week

I replied that we probably don't need 1) but we do need 2) and that WMF as a whole / legal should be aware that these exceptions have existed in practice for many years.. it would just be a difference where in the technology stack we make them.

Currently there is an attempt to get "mail only" licenses from Google. OIT will let us know about the progress.

Dzahn changed the task status from Open to Stalled.Apr 10 2020, 12:43 PM

We will remove remaining personal aliases for non-staff once 2020 is over. The users will be contacted that they have time until end of year to switch to an alternative. This was decided in cooperation with ITS and the board.

Aklapper renamed this task from Move most (all?) exim personal aliases to OIT to Move most (all?) exim personal aliases to WMF ITS.Oct 16 2020, 12:31 AM
Dzahn set Due Date to Jan 1 2021, 8:00 AM.Nov 24 2020, 7:37 PM
Dzahn set the point value for this task to 500.
Dzahn added a subscriber: JKrauska.
Dzahn removed a subscriber: JKrauska.
Dzahn changed the task status from Stalled to Open.Dec 22 2020, 11:09 PM

Will be resolved Jan 1st

Aliases of former board members, staff and affiliates that have been removed now after the announcement from ITS and the grace period until end of 2020.

fdevouard@wikipedia.org is undeliverable: Address fdevouard@wikipedia.org does not exist
mdavis@wikipedia.org is undeliverable: Address mdavis@wikipedia.org does not exist
erik@wikipedia.org is undeliverable: Address erik@wikipedia.org does not exist
kwalsh@wikipedia.org is undeliverable: Address kwalsh@wikipedia.org does not exist
oscar@wikipedia.org is undeliverable: Address oscar@wikipedia.org does not exist
jan-bart@wikipedia.org is undeliverable: Address jan-bart@wikipedia.org does not exist
sue@wikipedia.org is undeliverable: Address sue@wikipedia.org does not exist
tshell@wikipedia.org is undeliverable: Address tshell@wikipedia.org does not exist
dwool@wikipedia.org is undeliverable: Address dwool@wikipedia.org does not exist
domas@wikipedia.org is undeliverable: Address domas@wikipedia.org does not exist
jbsoufron@wikipedia.org is undeliverable: Address jbsoufron@wikipedia.org does not exist
jeluf@wikipedia.org is undeliverable: Address jeluf@wikipedia.org does not exist
millosh@wikipedia.org is undeliverable: Address millosh@wikipedia.org does not exist
gmaxwell@wikipedia.org is undeliverable: Address gmaxwell@wikipedia.org does not exist
avar@wikipedia.org is undeliverable: Address avar@wikipedia.org does not exist
tomk32@wikipedia.org is undeliverable: Address tomk32@wikipedia.org does not exist
fdevouard@wikimedia.org is undeliverable: Address fdevouard@wikimedia.org does not exist
mdavis@wikimedia.org is undeliverable: Address mdavis@wikimedia.org does not exist
kwalsh@wikimedia.org is undeliverable: Address kwalsh@wikimedia.org does not exist
jdevreede@wikimedia.org is undeliverable: Address jdevreede@wikimedia.org does not exist
kjansen@wikimedia.org is undeliverable: Address kjansen@wikimedia.org does not exist
cbrown@wikimedia.org is undeliverable: Address cbrown@wikimedia.org does not exist
tshell@wikimedia.org is undeliverable: Address tshell@wikimedia.org does not exist
msnow@wikimedia.org is undeliverable: Address msnow@wikimedia.org does not exist
jbsoufron@wikimedia.org is undeliverable: Address jbsoufron@wikimedia.org does not exist
jeluf@wikimedia.org is undeliverable: Address jeluf@wikimedia.org does not exist
ahair@wikimedia.org is undeliverable: Address ahair@wikimedia.org does not exist
millosh@wikimedia.org is undeliverable: Address millosh@wikimedia.org does not exist
gmaxwell@wikimedia.org is undeliverable: Address gmaxwell@wikimedia.org does not exist
avar@wikimedia.org is undeliverable: Address avar@wikimedia.org does not exist
birgittesb@wikimedia.org is undeliverable: Address birgittesb@wikimedia.org does not exist
jan.ainali@wikimedia.org is undeliverable: Address jan.ainali@wikimedia.org does not exist
lars.aronsson@wikimedia.org is undeliverable: Address lars.aronsson@wikimedia.org does not exist
kristoffer.mellberg@wikimedia.org is undeliverable: Address kristoffer.mellberg@wikimedia.org does not exist
johan.schiff@wikimedia.org is undeliverable: Address johan.schiff@wikimedia.org does not exist
styrelsen@wikimedia.org is undeliverable: Address styrelsen@wikimedia.org does not exist
sgardner@wikimedia.org is undeliverable: Address sgardner@wikimedia.org does not exist
Dzahn changed the task status from Open to Stalled.Mar 8 2021, 6:35 PM

Setting this to Stalled again because we are blocked on board feedback currently.

Change 721350 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] mail::mx: remove cron that mails aliases to OIT (ITS)

https://gerrit.wikimedia.org/r/721350